Bug 475962 - Review Request: mitter - A maemo/GTK+ client for twitter
Review Request: mitter - A maemo/GTK+ client for twitter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 05:53 EST by Lev Shamardin
Modified: 2008-12-30 18:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cse.cem+redhatbugz: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
[Review] (8.23 KB, text/plain)
2008-12-17 07:03 EST, Conrad Meyer
no flags Details

  None (edit)
Description Lev Shamardin 2008-12-11 05:53:44 EST
Spec URL: http://abbot.fedorapeople.org/mitter.spec
SRPM URL: http://abbot.fedorapeople.org/mitter-0.4.3-1.fc8.src.rpm
Description:
Mitter is a client for Twitter. Currently, you can use it on Linux, Windows and OS X (running PyGTK) and on a console/terminal.
Comment 1 Conrad Meyer 2008-12-17 07:03:03 EST
Created attachment 327234 [details]
[Review]

Attached is my initial review for the package.

Also: please consider updating from Fedora 8 before it goes End of Line very soon!

Two very simple "BAD"s to fix and then I'll approve this.
Comment 2 Fabian Affolter 2008-12-17 07:11:27 EST
Something about the .desktop file

'desktop-file-install --vendor="fedora" \' is obsolete for new packages
https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor
Comment 3 Conrad Meyer 2008-12-17 07:18:00 EST
In that case someone needs to fix http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files . In the mean time, you only have one thing to fix and I'll approve :).
Comment 4 Conrad Meyer 2008-12-17 07:18:30 EST
And it's a very minor thing -- very clean package.
Comment 5 Lev Shamardin 2008-12-18 08:12:18 EST
I've updated the .spec file and rpms:

Spec URL: http://abbot.fedorapeople.org/mitter.spec
SRPM URL: http://abbot.fedorapeople.org/mitter-0.4.3-1.fc8.src.rpm

Changed the license to GPLv3+ and changed the desktop-file-install command to
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop
(removed --vendor "" option)
Comment 6 Conrad Meyer 2008-12-18 08:30:17 EST
Ok, looks good. APPROVED.
Comment 7 Lev Shamardin 2008-12-24 01:27:29 EST
New Package CVS Request
=======================
Package Name: mitter
Short Description: mitter - A maemo/GTK+ client for twitter
Owners: abbot
Branches: F-9 F-10
Comment 8 Kevin Fenzi 2008-12-24 19:32:25 EST
cvs done.
Comment 9 Fedora Update System 2008-12-25 08:03:49 EST
mitter-0.4.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mitter-0.4.3-1.fc10
Comment 10 Fedora Update System 2008-12-25 08:05:20 EST
mitter-0.4.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mitter-0.4.3-1.fc9
Comment 11 Fedora Update System 2008-12-30 18:51:24 EST
mitter-0.4.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-12-30 18:51:36 EST
mitter-0.4.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.